• Post Reply Bookmark Topic Watch Topic
  • New Topic

Weblogic ----

 
namita pa
Ranch Hand
Posts: 56
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
hi
We have one application running on weblogic 5.1.We are now upgrading the server version to 6.0 Whether it is downward compatible or not?What points should i consider for the proper funtioning of the application in this version also.Our application cosists of JSP pages and EJBs
thanks in advance

------------------
 
Anonymous
Ranch Hand
Posts: 18944
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Backward compatibility will be introduced in version 6.2. Version 5.1 is a completely different codebase. On the docs site at bea you will find some docs on how to port the app from 5.1 to 6.0.
 
namita pa
Ranch Hand
Posts: 56
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
thanks for the help sven
regards
namita
------------------
 
namita pa
Ranch Hand
Posts: 56
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
thanks for the help sven
regards
namita
------------------
 
Angela Poynton
Ranch Hand
Posts: 3143
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Also don't forget to check out our WebLogic Servers forum there may be some answers to your question there!
 
faisal mahmood
Ranch Hand
Posts: 349
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
If your application is J2EE 1.2.1 compliant than there should not be any problem to to port it to new version of Weblogic.
In fact you should not even have to problem to port it to any Sun certified J2EE containers. If you have to problem then there is no point of having application J2EE complaint.
Faisal
 
Joe McGuire
Ranch Hand
Posts: 293
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Any beans compiled in 5.1 or lower will have to be recompiled using the weblogic.ejbc utility for 6.x. There are also some changes to the deployment descriptors as well.
 
Ravi Verma
Ranch Hand
Posts: 42
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi,
The backward compatiablity is there and most of the work is XML based to your work is going to be easy. For more info check the Administration documents.
Ravi
 
Ravi Verma
Ranch Hand
Posts: 42
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi,
The backward compatiablity is there and most of the work is XML based to your work is going to be easy. For more info check the Administration documents and like http://e-docs.bea.com/wls/docs61/pdf/webServices.pdf http://e-docs.bea.com/wls/docs61/pdf/wlec.pdf
Ravi
 
namita pa
Ranch Hand
Posts: 56
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
thanks everyone!!!
------------------
 
namita pa
Ranch Hand
Posts: 56
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
thanks everyone!!!
------------------
 
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!